<link rel="stylesheet" type="text/css" href="https://unpkg.com/quasar-framework@^0.17.0/dist/umd/quasar.mat.min.css">
<script src="https://unpkg.com/quasar-framework@^0.17.0/dist/umd/quasar.mat.umd.min.js"></script>

    <div id="app">
      <q-table  :rows-per-page-options="[15, 25, 50]" 
        :data="tableData"
        :columns="columns"
        :separator="separator"
        dense
        row-key="col1"
      >
        <div
          slot="header"
          slot-scope="props"
          style="display: contents; vertical-align: middle; text-align: center"
        >
          <q-tr>
            <q-th rowspan="2" class="bg-blue-9 text-white">Account</q-th>
            <q-th rowspan="2" class="bg-blue-9 text-white">Contact</q-th>
            <q-th rowspan="2" class="bg-blue-9 text-white">Cur</q-th>
            <q-th rowspan="2" class="bg-blue-9 text-white">Amount</q-th>
            <q-th rowspan="2" class="bg-blue-9 text-white">Valid Amount</q-th>
            <q-th rowspan="2" class="bg-blue-9 text-white">Strake Count</q-th>
            <q-th rowspan="2" class="bg-blue-9 text-white">Gross Comm</q-th>
            <q-th colspan="3" class="bg-blue-10 text-white">Member</q-th>
            <q-th colspan="3" class="bg-blue-10 text-white">Master</q-th>
            <q-th colspan="3" class="bg-blue-10 text-white">Agent</q-th>
            <q-th colspan="3" class="bg-blue-10 text-white">Share Holder</q-th>
            <q-th colspan="3" class="bg-blue-10 text-white">Company</q-th>
          </q-tr>
          <q-tr>
            <q-th class="bg-light-blue-5 text-white">W/L</q-th>
            <q-th class="bg-light-blue-5 text-white">Com</q-th>
            <q-th class="bg-light-blue-5 text-white"
              >Win Lose <br />
              Comm</q-th
            >
            <q-th class="bg-light-blue-5 text-white">W/L</q-th>
            <q-th class="bg-light-blue-5 text-white">Com</q-th>
            <q-th class="bg-light-blue-5 text-white"
              >Win Lose <br />
              Comm</q-th
            >
            <q-th class="bg-light-blue-5 text-white">W/L</q-th>
            <q-th class="bg-light-blue-5 text-white">Com</q-th>
            <q-th class="bg-light-blue-5 text-white"
              >Win Lose <br />
              Comm</q-th
            >
            <q-th class="bg-light-blue-5 text-white">W/L</q-th>
            <q-th class="bg-light-blue-5 text-white">Com</q-th>
            <q-th class="bg-light-blue-5 text-white"
              >Win Lose <br />
              Comm</q-th
            >
            <q-th class="bg-light-blue-5 text-white">W/L</q-th>
            <q-th class="bg-light-blue-5 text-white">Com</q-th>
            <q-th class="bg-light-blue-5 text-white"
              >Win Lose <br />
              Comm</q-th
            >
          </q-tr>
        </div>
        <template slot="body" slot-scope="props">
          <q-tr :props="props">
            <q-td
            :class="{'bg-yellow-5' : col.field.includes('_winlose_commission') }"     
            v-for="col in props.cols" :key="col.name" :props="props">
              {{ props.row[col.field] }}
            </q-td>
          </q-tr>
        </template>
        <template v-slot:bottom-row>
          <q-tr>
            <q-td colspan="3"> Total</q-td>
            <q-td v-for="index in 19"> col</q-td>
          </q-tr>
        </template>
      </q-table>
    </div>